TR(1)

NAMN
tr - translate or delete characters

SYNOPSIS
tr [FLAGGA]... MÄNGD1 [MÄNGD2]

BESKRIVNING

versätt, pressa ihop och/eller ta bort tecken från standard in, skriv till standard ut.

-c, -C, --complement
    Använd komplementet av MÄNGD1.

-d, --delete
    Ta bort tecken i MÄNGD1, översätt inte.

-s, --squeeze-repeats
    Ersätt varje sekvens av ett upprepat tecken som är uppräknat i den sista förekomsten av MÄNGD, med en ensam förekomst av det tecknet.

-t, --truncate-set1
    Hugg först av MÄNGD1 till längden hos MÄNGD2.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

MÄNGDer anges som en sträng tecken. De flesta representerar sig själva. Följande sekvenser tolkas:

\NNN
    tecken med det oktala värdet NNN (1 till 3 oktala siffror)

\\  omvänt snedstreck

\a  ljudsignal

\b  backsteg

\f  sidmatning

\n  nyrad

\r  vagnretur

\t  horisontell tabulator

\v  vertikal tabulator

TECK1-TECK2
    alla tecken från TECK1 till TECK2 i stigande ordning

[TECK*]
    i MÄNGD2, repetera TECK upp till längden av MÄNGD1

[TECK*REP]
    REP kopior av TECK, REP är oktalt om det startar med 0

[:alnum:]
    alla bokstäver och siffror

[:alpha:]
    alla bokstäver

[:blank:]
    alla horisontella blanka

[:cntrl:]
    alla styrtecken

[:digit:]
    alla siffror

[:graph:]
    alla skrivbara tecken, ej blanka

[:lower:]
    alla gemena bokstäver

[:print:]
    alla skrivbara tecken, inklusive mellanrum

[:punct:]
    alla tecken för interpunktion

[:space:]
    alla horisontella och vertikala blanka

[:upper:]
    alla versala bokstäver

[:xdigit:]
    alla hexadecimala siffror

[=TECKEN=]
    alla tecken som är lika med TECKEN

Översättning sker om -d inte ges och både MÄNGD1 och MÄNGD2 finns. -t kan endast användas vid översättning. MÄNGD2 expanderas till längden av MÄNGD1 genom att dess sista tecken upprepas tillräckligt många gånger. Överflödiga tecken i MÄNGD2 ignoreras. Endast [:lower:] och [:upper:] expanderas garanterat i stigande ordning. Används de i MÄNGD2 vid översättning kan de endast användas parvis för att ange skiftlägesändring. -s använder sist angivna MÄNGD, och sker efter översättning eller borttagning.

UPPHOVSMAN
Skrivet av Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
Fullständig dokumentation <https://www.gnu.org/software/coreutils/tr>
eller tillgängligt lokalt via: info '(coreutils) tr invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.